petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscSortMPIIntWithArray

Sorts an array of integers in place in increasing order; changes a second array to match the sorted first array.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSortMPIIntWithArray(PetscMPIInt n,PetscMPIInt i[],PetscMPIInt Ii[])

Not Collective

### Input Parameters

| n | - number of values
| i | - array of integers
| I | - second array of integers

### See Also

PetscSortReal(), PetscSortIntPermutation(), PetscSortInt()

Level:intermediate
Location:src/sys/utils/sorti.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages